<?php

/**
 * @file
 * @author Bob Hutchinson http://drupal.org/user/52366
 * @copyright GNU GPL
 *
 * Bulk export of views_default objects generated by Bulk export module.
 */

/**
 * Implementation of hook_views_default_views()
 */
function imagepicker_views_default_views() {
  $views = array();

  // A gallery of imagepicker images in a Colorbox
  $view = new view;
  $view->name = 'imagepicker_colorbox_gallery';
  $view->description = 'A gallery of imagepicker images in a Colorbox.';
  $view->tag = 'imagepicker';
  $view->base_table = 'imagepicker';
  $view->human_name = 'Imagepicker Colorbox Gallery';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = TRUE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Imagepicker: Group */
  $handler->display->display_options['relationships']['gid']['id'] = 'gid';
  $handler->display->display_options['relationships']['gid']['table'] = 'imagepicker_group_images';
  $handler->display->display_options['relationships']['gid']['field'] = 'gid';
  $handler->display->display_options['relationships']['gid']['required'] = 0;
  /* Field: Full image URL */
  $handler->display->display_options['fields']['img_url']['id'] = 'img_url';
  $handler->display->display_options['fields']['img_url']['table'] = 'imagepicker';
  $handler->display->display_options['fields']['img_url']['field'] = 'img_url';
  $handler->display->display_options['fields']['img_url']['ui_name'] = 'Full image URL';
  $handler->display->display_options['fields']['img_url']['label'] = 'Full Image URL';
  $handler->display->display_options['fields']['img_url']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['external'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['html'] = 0;
  $handler->display->display_options['fields']['img_url']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['img_url']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['img_url']['hide_empty'] = 1;
  $handler->display->display_options['fields']['img_url']['empty_zero'] = 0;
  $handler->display->display_options['fields']['img_url']['hide_alter_empty'] = 1;
  /* Field: Thumbnail image URL */
  $handler->display->display_options['fields']['img_url_1']['id'] = 'img_url_1';
  $handler->display->display_options['fields']['img_url_1']['table'] = 'imagepicker';
  $handler->display->display_options['fields']['img_url_1']['field'] = 'img_url';
  $handler->display->display_options['fields']['img_url_1']['ui_name'] = 'Thumbnail image URL';
  $handler->display->display_options['fields']['img_url_1']['label'] = 'Thumbnail Image URL';
  $handler->display->display_options['fields']['img_url_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['img_url_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['img_url_1']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['img_url_1']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['img_url_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['img_url_1']['hide_empty'] = 1;
  $handler->display->display_options['fields']['img_url_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['img_url_1']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['img_url_1']['img_size'] = 'thumb';
  /* Filter criterion: Imagepicker: Public */
  $handler->display->display_options['filters']['public']['id'] = 'public';
  $handler->display->display_options['filters']['public']['table'] = 'imagepicker_user_groups';
  $handler->display->display_options['filters']['public']['field'] = 'public';
  $handler->display->display_options['filters']['public']['relationship'] = 'gid';
  $handler->display->display_options['filters']['public']['value'] = '1';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Gallery';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Full image URL */
  $handler->display->display_options['fields']['img_url']['id'] = 'img_url';
  $handler->display->display_options['fields']['img_url']['table'] = 'imagepicker';
  $handler->display->display_options['fields']['img_url']['field'] = 'img_url';
  $handler->display->display_options['fields']['img_url']['ui_name'] = 'Full image URL';
  $handler->display->display_options['fields']['img_url']['label'] = '';
  $handler->display->display_options['fields']['img_url']['exclude'] = TRUE;
  $handler->display->display_options['fields']['img_url']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['external'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['html'] = 0;
  $handler->display->display_options['fields']['img_url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['img_url']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['img_url']['hide_empty'] = 1;
  $handler->display->display_options['fields']['img_url']['empty_zero'] = 0;
  $handler->display->display_options['fields']['img_url']['hide_alter_empty'] = 1;
  /* Field: Thumbnail image URL */
  $handler->display->display_options['fields']['img_url_1']['id'] = 'img_url_1';
  $handler->display->display_options['fields']['img_url_1']['table'] = 'imagepicker';
  $handler->display->display_options['fields']['img_url_1']['field'] = 'img_url';
  $handler->display->display_options['fields']['img_url_1']['ui_name'] = 'Thumbnail image URL';
  $handler->display->display_options['fields']['img_url_1']['label'] = '';
  $handler->display->display_options['fields']['img_url_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['img_url_1']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['img_url_1']['alter']['text'] = '<img src="[img_url_1]" border="0" />';
  $handler->display->display_options['fields']['img_url_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['img_url_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['img_url_1']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['img_url_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['img_url_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['img_url_1']['hide_empty'] = 1;
  $handler->display->display_options['fields']['img_url_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['img_url_1']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['img_url_1']['img_size'] = 'thumb';
  /* Field: Imagepicker: Imagepicker colorbox trigger */
  $handler->display->display_options['fields']['img_trigger']['id'] = 'img_trigger';
  $handler->display->display_options['fields']['img_trigger']['table'] = 'imagepicker';
  $handler->display->display_options['fields']['img_trigger']['field'] = 'img_trigger';
  $handler->display->display_options['fields']['img_trigger']['label'] = '';
  $handler->display->display_options['fields']['img_trigger']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['img_trigger']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['img_trigger']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['img_trigger']['alter']['external'] = 0;
  $handler->display->display_options['fields']['img_trigger']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['img_trigger']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['img_trigger']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['img_trigger']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['img_trigger']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['img_trigger']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['img_trigger']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['img_trigger']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['img_trigger']['alter']['html'] = 0;
  $handler->display->display_options['fields']['img_trigger']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['img_trigger']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['img_trigger']['hide_empty'] = 0;
  $handler->display->display_options['fields']['img_trigger']['empty_zero'] = 0;
  $handler->display->display_options['fields']['img_trigger']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['img_trigger']['trigger_field'] = 'img_url_1';
  $handler->display->display_options['fields']['img_trigger']['popup'] = '<img src="[img_url]" />';
  $handler->display->display_options['fields']['img_trigger']['gid'] = 1;
  $handler->display->display_options['fields']['img_trigger']['width'] = 'auto';
  $handler->display->display_options['fields']['img_trigger']['height'] = 'auto';
  $handler->display->display_options['fields']['img_trigger']['hide'] = '1';
  $handler->display->display_options['block_description'] = 'Imagepicker Colorbox gallery';

  $views[$view->name] = $view;


  // A jCarousel gallery of imagepicker images in a Colorbox
  $view = new view;
  $view->name = 'imagepicker_jcarousel_gallery';
  $view->description = 'A jCarousel gallery of imagepicker images in a Colorbox.';
  $view->tag = 'imagepicker';
  $view->base_table = 'imagepicker';
  $view->human_name = 'Imagepicker jCarousel Gallery';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = TRUE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Imagepicker: Group */
  $handler->display->display_options['relationships']['gid']['id'] = 'gid';
  $handler->display->display_options['relationships']['gid']['table'] = 'imagepicker_group_images';
  $handler->display->display_options['relationships']['gid']['field'] = 'gid';
  $handler->display->display_options['relationships']['gid']['required'] = 0;
  /* Field: Full image URL */
  $handler->display->display_options['fields']['img_url']['id'] = 'img_url';
  $handler->display->display_options['fields']['img_url']['table'] = 'imagepicker';
  $handler->display->display_options['fields']['img_url']['field'] = 'img_url';
  $handler->display->display_options['fields']['img_url']['ui_name'] = 'Full image URL';
  $handler->display->display_options['fields']['img_url']['label'] = 'Full Image URL';
  $handler->display->display_options['fields']['img_url']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['external'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['html'] = 0;
  $handler->display->display_options['fields']['img_url']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['img_url']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['img_url']['hide_empty'] = 1;
  $handler->display->display_options['fields']['img_url']['empty_zero'] = 0;
  $handler->display->display_options['fields']['img_url']['hide_alter_empty'] = 1;
  /* Field: Thumbnail image URL */
  $handler->display->display_options['fields']['img_url_1']['id'] = 'img_url_1';
  $handler->display->display_options['fields']['img_url_1']['table'] = 'imagepicker';
  $handler->display->display_options['fields']['img_url_1']['field'] = 'img_url';
  $handler->display->display_options['fields']['img_url_1']['ui_name'] = 'Thumbnail image URL';
  $handler->display->display_options['fields']['img_url_1']['label'] = 'Thumbnail Image URL';
  $handler->display->display_options['fields']['img_url_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['img_url_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['img_url_1']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['img_url_1']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['img_url_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['img_url_1']['hide_empty'] = 1;
  $handler->display->display_options['fields']['img_url_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['img_url_1']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['img_url_1']['img_size'] = 'thumb';
  /* Filter criterion: Imagepicker: Public */
  $handler->display->display_options['filters']['public']['id'] = 'public';
  $handler->display->display_options['filters']['public']['table'] = 'imagepicker_user_groups';
  $handler->display->display_options['filters']['public']['field'] = 'public';
  $handler->display->display_options['filters']['public']['relationship'] = 'gid';
  $handler->display->display_options['filters']['public']['value'] = '1';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Gallery';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'jcarousel';
  $handler->display->display_options['style_options']['wrap'] = '0';
  $handler->display->display_options['style_options']['visible'] = '';
  $handler->display->display_options['style_options']['auto'] = '0';
  $handler->display->display_options['style_options']['autoPause'] = 1;
  $handler->display->display_options['style_options']['easing'] = '';
  $handler->display->display_options['style_options']['vertical'] = 0;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Full image URL */
  $handler->display->display_options['fields']['img_url']['id'] = 'img_url';
  $handler->display->display_options['fields']['img_url']['table'] = 'imagepicker';
  $handler->display->display_options['fields']['img_url']['field'] = 'img_url';
  $handler->display->display_options['fields']['img_url']['ui_name'] = 'Full image URL';
  $handler->display->display_options['fields']['img_url']['label'] = '';
  $handler->display->display_options['fields']['img_url']['exclude'] = TRUE;
  $handler->display->display_options['fields']['img_url']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['external'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['html'] = 0;
  $handler->display->display_options['fields']['img_url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['img_url']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['img_url']['hide_empty'] = 0;
  $handler->display->display_options['fields']['img_url']['empty_zero'] = 0;
  $handler->display->display_options['fields']['img_url']['hide_alter_empty'] = 1;
  /* Field: Thumbnail image URL */
  $handler->display->display_options['fields']['img_url_1']['id'] = 'img_url_1';
  $handler->display->display_options['fields']['img_url_1']['table'] = 'imagepicker';
  $handler->display->display_options['fields']['img_url_1']['field'] = 'img_url';
  $handler->display->display_options['fields']['img_url_1']['ui_name'] = 'Thumbnail image URL';
  $handler->display->display_options['fields']['img_url_1']['label'] = '';
  $handler->display->display_options['fields']['img_url_1']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['img_url_1']['alter']['text'] = '<a href="[img_url]?width=auto&height=auto" class="colorbox-inline"><img src="[img_url_1]" border="0" /></a>';
  $handler->display->display_options['fields']['img_url_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['img_url_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['img_url_1']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['img_url_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['img_url_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['img_url_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['img_url_1']['hide_empty'] = 1;
  $handler->display->display_options['fields']['img_url_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['img_url_1']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['img_url_1']['img_size'] = 'thumb';
  $handler->display->display_options['block_description'] = 'jCarousel gallery';

  $views[$view->name] = $view;

  // A gallery of imagepicker images in Galleria.
  $view = new view;
  $view->name = 'imagepicker_slideshow_gallery';
  $view->description = 'A gallery of imagepicker images in Galleria.';
  $view->tag = 'imagepicker';
  $view->base_table = 'imagepicker';
  $view->human_name = 'Imagepicker Slideshow Gallery';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = TRUE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Imagepicker: Group */
  $handler->display->display_options['relationships']['gid']['id'] = 'gid';
  $handler->display->display_options['relationships']['gid']['table'] = 'imagepicker_group_images';
  $handler->display->display_options['relationships']['gid']['field'] = 'gid';
  $handler->display->display_options['relationships']['gid']['required'] = 0;
  /* Field: Full image URL */
  $handler->display->display_options['fields']['img_url']['id'] = 'img_url';
  $handler->display->display_options['fields']['img_url']['table'] = 'imagepicker';
  $handler->display->display_options['fields']['img_url']['field'] = 'img_url';
  $handler->display->display_options['fields']['img_url']['ui_name'] = 'Full image URL';
  $handler->display->display_options['fields']['img_url']['label'] = 'Full Image URL';
  $handler->display->display_options['fields']['img_url']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['external'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['html'] = 0;
  $handler->display->display_options['fields']['img_url']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['img_url']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['img_url']['hide_empty'] = 1;
  $handler->display->display_options['fields']['img_url']['empty_zero'] = 0;
  $handler->display->display_options['fields']['img_url']['hide_alter_empty'] = 1;
  /* Filter criterion: Imagepicker: Public */
  $handler->display->display_options['filters']['public']['id'] = 'public';
  $handler->display->display_options['filters']['public']['table'] = 'imagepicker_user_groups';
  $handler->display->display_options['filters']['public']['field'] = 'public';
  $handler->display->display_options['filters']['public']['relationship'] = 'gid';
  $handler->display->display_options['filters']['public']['value'] = '1';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Gallery';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'slideshow';
  $handler->display->display_options['style_options']['slideshow_type'] = 'views_slideshow_galleria';
  $handler->display->display_options['style_options']['slideshow_skin'] = 'default';
  $handler->display->display_options['style_options']['skin_info'] = array(
    'class' => 'default',
    'name' => 'Default',
    'module' => 'views_slideshow',
    'path' => '',
    'stylesheets' => array(),
  );
  $handler->display->display_options['style_options']['widgets']['top']['views_slideshow_pager']['weight'] = '1';
  $handler->display->display_options['style_options']['widgets']['top']['views_slideshow_pager']['type'] = 'views_slideshow_pager_fields';
  $handler->display->display_options['style_options']['widgets']['top']['views_slideshow_pager']['views_slideshow_pager_fields_fields'] = array(
    'img_url' => 0,
  );
  $handler->display->display_options['style_options']['widgets']['top']['views_slideshow_controls']['weight'] = '1';
  $handler->display->display_options['style_options']['widgets']['top']['views_slideshow_controls']['type'] = 'views_slideshow_controls_text';
  $handler->display->display_options['style_options']['widgets']['top']['views_slideshow_slide_counter']['weight'] = '1';
  $handler->display->display_options['style_options']['widgets']['bottom']['views_slideshow_pager']['weight'] = '1';
  $handler->display->display_options['style_options']['widgets']['bottom']['views_slideshow_pager']['type'] = 'views_slideshow_pager_fields';
  $handler->display->display_options['style_options']['widgets']['bottom']['views_slideshow_pager']['views_slideshow_pager_fields_fields'] = array(
    'img_url' => 0,
  );
  $handler->display->display_options['style_options']['widgets']['bottom']['views_slideshow_controls']['weight'] = '1';
  $handler->display->display_options['style_options']['widgets']['bottom']['views_slideshow_controls']['type'] = 'views_slideshow_controls_text';
  $handler->display->display_options['style_options']['widgets']['bottom']['views_slideshow_slide_counter']['weight'] = '1';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['autoplay'] = 0;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['autoplay_ms'] = '3000';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['carousel'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['carousel_follow'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['carousel_speed'] = '200';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['clicknext'] = 0;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['fullscreen_crop'] = 0;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['fullscreen_double_tap'] = 0;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['fullscreen_transition'] = 'fade';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['height'] = '500';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['idle_mode'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['idle_time'] = '3000';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['idle_speed'] = '200';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['image_crop'] = 'width';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['image_margin'] = '';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['image_pan'] = 0;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['image_pan_smoothness'] = '12';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['initial_transition'] = 'fade';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['layer_follow'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['lightbox'] = 0;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['lightbox_fade_speed'] = '';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['lightbox_transition_speed'] = '';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['overlay_opacity'] = '0.85';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['pause_on_interaction'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['popup_links'] = 0;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['preload'] = '2';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['queue'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['show'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['show_counter'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['show_imagenav'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['swipe'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['thumb_crop'] = 'width';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['thumb_fit'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['thumb_margin'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['thumb_quality'] = '1';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['thumbnails'] = '1';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['touch_transition'] = 'fade';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['transition_speed'] = '400';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['width'] = '600';
  $handler->display->display_options['style_options']['views_slideshow_galleria']['advanced']['avoid_flash_of_content'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['advanced']['debug'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['advanced']['keep_source'] = 0;
  $handler->display->display_options['style_options']['views_slideshow_galleria']['advanced']['strip_images'] = 1;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Full image URL */
  $handler->display->display_options['fields']['img_url']['id'] = 'img_url';
  $handler->display->display_options['fields']['img_url']['table'] = 'imagepicker';
  $handler->display->display_options['fields']['img_url']['field'] = 'img_url';
  $handler->display->display_options['fields']['img_url']['ui_name'] = 'Full image URL';
  $handler->display->display_options['fields']['img_url']['label'] = '';
  $handler->display->display_options['fields']['img_url']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['text'] = '<img src="[img_url]">';
  $handler->display->display_options['fields']['img_url']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['external'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['trim_whitespace'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['img_url']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['img_url']['alter']['html'] = 0;
  $handler->display->display_options['fields']['img_url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['img_url']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['img_url']['hide_empty'] = 1;
  $handler->display->display_options['fields']['img_url']['empty_zero'] = 0;
  $handler->display->display_options['fields']['img_url']['hide_alter_empty'] = 1;
  $handler->display->display_options['block_description'] = 'Imagepicker Galleria gallery';


  $views[$view->name] = $view;


  return $views;
}
